"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
"""
import ansys.api.sherlock.v0.SherlockCommonService_pb2
import builtins
import google.protobuf.descriptor
import google.protobuf.internal.containers
import google.protobuf.internal.enum_type_wrapper
import google.protobuf.message
import typing
import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor = ...

class GenReportRequest(google.protobuf.message.Message):
    """*
    Request for project report.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    PROJECT_FIELD_NUMBER: builtins.int
    AUTHOR_FIELD_NUMBER: builtins.int
    COMPANY_FIELD_NUMBER: builtins.int
    project: typing.Text = ...
    """Sherlock project name."""

    author: typing.Text = ...
    """Name of the author who generates the report."""

    company: typing.Text = ...
    """Name of author's company."""

    def __init__(self,
        *,
        project : typing.Text = ...,
        author : typing.Text = ...,
        company : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["author",b"author","company",b"company","project",b"project"]) -> None: ...
global___GenReportRequest = GenReportRequest

class GenReportResponse(google.protobuf.message.Message):
    """*
    Streams the project report in chunks.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    CONTENT_FIELD_NUMBER: builtins.int
    SIZE_FIELD_NUMBER: builtins.int
    RETURNCODE_FIELD_NUMBER: builtins.int
    content: builtins.bytes = ...
    """A chunk of the project report being returned in increments."""

    size: builtins.int = ...
    """Size of the chunk returned."""

    @property
    def returnCode(self) -> ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode:
        """Status code of response."""
        pass
    def __init__(self,
        *,
        content : builtins.bytes = ...,
        size : builtins.int = ...,
        returnCode : typing.Optional[ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode] = ...,
        ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["returnCode",b"returnCode"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["content",b"content","returnCode",b"returnCode","size",b"size"]) -> None: ...
global___GenReportResponse = GenReportResponse

class GenCCAReportRequest(google.protobuf.message.Message):
    """*
    Request for project CCA report.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    PROJECT_FIELD_NUMBER: builtins.int
    CCA_FIELD_NUMBER: builtins.int
    AUTHOR_FIELD_NUMBER: builtins.int
    COMPANY_FIELD_NUMBER: builtins.int
    project: typing.Text = ...
    """Sherlock project name."""

    cca: typing.Text = ...
    """Project CCA name."""

    author: typing.Text = ...
    """Name of the author who generates the report."""

    company: typing.Text = ...
    """Name of author's company."""

    def __init__(self,
        *,
        project : typing.Text = ...,
        cca : typing.Text = ...,
        author : typing.Text = ...,
        company : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["author",b"author","cca",b"cca","company",b"company","project",b"project"]) -> None: ...
global___GenCCAReportRequest = GenCCAReportRequest

class GenCCAReportResponse(google.protobuf.message.Message):
    """*
    Streams the project CCA report in chunks.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    CONTENT_FIELD_NUMBER: builtins.int
    SIZE_FIELD_NUMBER: builtins.int
    RETURNCODE_FIELD_NUMBER: builtins.int
    content: builtins.bytes = ...
    """A chunk of the project CCA report being returned in increments."""

    size: builtins.int = ...
    """Size of the chunk returned."""

    @property
    def returnCode(self) -> ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode:
        """Status code of response."""
        pass
    def __init__(self,
        *,
        content : builtins.bytes = ...,
        size : builtins.int = ...,
        returnCode : typing.Optional[ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode] = ...,
        ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["returnCode",b"returnCode"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["content",b"content","returnCode",b"returnCode","size",b"size"]) -> None: ...
global___GenCCAReportResponse = GenCCAReportResponse

class ImportODBRequest(google.protobuf.message.Message):
    """*
    Request for importing an ODB++ archive.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    ARCHIVEFILE_FIELD_NUMBER: builtins.int
    PROJECT_FIELD_NUMBER: builtins.int
    CCANAME_FIELD_NUMBER: builtins.int
    PROCESSLAYERTHICKNESS_FIELD_NUMBER: builtins.int
    INCLUDEOTHERLAYERS_FIELD_NUMBER: builtins.int
    PROCESSCUTOUTFILE_FIELD_NUMBER: builtins.int
    GUESSPARTPROPERTIES_FIELD_NUMBER: builtins.int
    IMSSTACKUP_FIELD_NUMBER: builtins.int
    POLYLINESIMPLIFICATION_FIELD_NUMBER: builtins.int
    POLYLINETOLERANCE_FIELD_NUMBER: builtins.int
    POLYLINETOLERANCEUNITS_FIELD_NUMBER: builtins.int
    archiveFile: typing.Text = ...
    """Full path to the ODB++ archive file to be imported."""

    project: typing.Text = ...
    """Sherlock project name. If empty, the filename will be used for the project name."""

    ccaName: typing.Text = ...
    """Project CCA name. If empty, the filename will be used for the CCA name."""

    processLayerThickness: builtins.bool = ...
    """Option to assign stackup thickness."""

    includeOtherLayers: builtins.bool = ...
    """Option to include other layers."""

    processCutoutFile: builtins.bool = ...
    """Option to process cutouts."""

    guessPartProperties: builtins.bool = ...
    """Option to guess part properties."""

    imsStackup: builtins.bool = ...
    """Option to generate IMS stackup."""

    polylineSimplification: builtins.bool = ...
    """Option to enable polyline simplification."""

    polylineTolerance: builtins.float = ...
    """Polyline simplification tolerance."""

    polylineToleranceUnits: typing.Text = ...
    """Polyline simplification tolerance units."""

    def __init__(self,
        *,
        archiveFile : typing.Text = ...,
        project : typing.Text = ...,
        ccaName : typing.Text = ...,
        processLayerThickness : builtins.bool = ...,
        includeOtherLayers : builtins.bool = ...,
        processCutoutFile : builtins.bool = ...,
        guessPartProperties : builtins.bool = ...,
        imsStackup : builtins.bool = ...,
        polylineSimplification : builtins.bool = ...,
        polylineTolerance : builtins.float = ...,
        polylineToleranceUnits : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["archiveFile",b"archiveFile","ccaName",b"ccaName","guessPartProperties",b"guessPartProperties","imsStackup",b"imsStackup","includeOtherLayers",b"includeOtherLayers","polylineSimplification",b"polylineSimplification","polylineTolerance",b"polylineTolerance","polylineToleranceUnits",b"polylineToleranceUnits","processCutoutFile",b"processCutoutFile","processLayerThickness",b"processLayerThickness","project",b"project"]) -> None: ...
global___ImportODBRequest = ImportODBRequest

class ImportIPC2581Request(google.protobuf.message.Message):
    """*
    Request for importing an IPC-2581 archive.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    ARCHIVEFILE_FIELD_NUMBER: builtins.int
    PROJECT_FIELD_NUMBER: builtins.int
    CCANAME_FIELD_NUMBER: builtins.int
    INCLUDEOTHERLAYERS_FIELD_NUMBER: builtins.int
    GUESSPARTPROPERTIES_FIELD_NUMBER: builtins.int
    POLYLINESIMPLIFICATION_FIELD_NUMBER: builtins.int
    POLYLINETOLERANCE_FIELD_NUMBER: builtins.int
    POLYLINETOLERANCEUNITS_FIELD_NUMBER: builtins.int
    archiveFile: typing.Text = ...
    """Full path to the IPC-2581 archive file to be imported."""

    project: typing.Text = ...
    """Sherlock project name. If empty, the filename will be used for the project name."""

    ccaName: typing.Text = ...
    """Project CCA name. If empty, the filename will be used for the CCA name."""

    includeOtherLayers: builtins.bool = ...
    """Option to include other layers."""

    guessPartProperties: builtins.bool = ...
    """Option to guess part properties."""

    polylineSimplification: builtins.bool = ...
    """Option to enable polyline simplification."""

    polylineTolerance: builtins.float = ...
    """Polyline simplification tolerance."""

    polylineToleranceUnits: typing.Text = ...
    """Polyline simplification tolerance units."""

    def __init__(self,
        *,
        archiveFile : typing.Text = ...,
        project : typing.Text = ...,
        ccaName : typing.Text = ...,
        includeOtherLayers : builtins.bool = ...,
        guessPartProperties : builtins.bool = ...,
        polylineSimplification : builtins.bool = ...,
        polylineTolerance : builtins.float = ...,
        polylineToleranceUnits : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["archiveFile",b"archiveFile","ccaName",b"ccaName","guessPartProperties",b"guessPartProperties","includeOtherLayers",b"includeOtherLayers","polylineSimplification",b"polylineSimplification","polylineTolerance",b"polylineTolerance","polylineToleranceUnits",b"polylineToleranceUnits","project",b"project"]) -> None: ...
global___ImportIPC2581Request = ImportIPC2581Request

class DeleteProjectRequest(google.protobuf.message.Message):
    """*
    Request for deleting project.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    PROJECT_FIELD_NUMBER: builtins.int
    project: typing.Text = ...
    """Project name of project to be deleted."""

    def __init__(self,
        *,
        project : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["project",b"project"]) -> None: ...
global___DeleteProjectRequest = DeleteProjectRequest

class AddStrainMapRequest(google.protobuf.message.Message):
    """*
    Request to add a strain map CSV file.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    class StrainMapFile(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
        STRAINMAPFILE_FIELD_NUMBER: builtins.int
        FILECOMMENT_FIELD_NUMBER: builtins.int
        HEADERROWCOUNT_FIELD_NUMBER: builtins.int
        REFERENCEIDCOLUMN_FIELD_NUMBER: builtins.int
        STRAINCOLUMN_FIELD_NUMBER: builtins.int
        STRAINUNITS_FIELD_NUMBER: builtins.int
        CCA_FIELD_NUMBER: builtins.int
        strainMapFile: typing.Text = ...
        """Full path to the strain map file to be added."""

        fileComment: typing.Text = ...
        """File comment text."""

        headerRowCount: builtins.int = ...
        """Number of rows before the column header in the file."""

        referenceIDColumn: typing.Text = ...
        """Reference ID column name."""

        strainColumn: typing.Text = ...
        """Strain column name."""

        strainUnits: typing.Text = ...
        """Strain units used in the strain map file. Valid units: µε, ε."""

        @property
        def cca(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[typing.Text]:
            """Project CCA names to to add the file to."""
            pass
        def __init__(self,
            *,
            strainMapFile : typing.Text = ...,
            fileComment : typing.Text = ...,
            headerRowCount : builtins.int = ...,
            referenceIDColumn : typing.Text = ...,
            strainColumn : typing.Text = ...,
            strainUnits : typing.Text = ...,
            cca : typing.Optional[typing.Iterable[typing.Text]] = ...,
            ) -> None: ...
        def ClearField(self, field_name: typing_extensions.Literal["cca",b"cca","fileComment",b"fileComment","headerRowCount",b"headerRowCount","referenceIDColumn",b"referenceIDColumn","strainColumn",b"strainColumn","strainMapFile",b"strainMapFile","strainUnits",b"strainUnits"]) -> None: ...

    PROJECT_FIELD_NUMBER: builtins.int
    STRAINMAPFILES_FIELD_NUMBER: builtins.int
    project: typing.Text = ...
    """Sherlock project name."""

    @property
    def strainMapFiles(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___AddStrainMapRequest.StrainMapFile]:
        """Strain map files and associated properties to be added."""
        pass
    def __init__(self,
        *,
        project : typing.Text = ...,
        strainMapFiles : typing.Optional[typing.Iterable[global___AddStrainMapRequest.StrainMapFile]] = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["project",b"project","strainMapFiles",b"strainMapFiles"]) -> None: ...
global___AddStrainMapRequest = AddStrainMapRequest

class AddStrainMapResponse(google.protobuf.message.Message):
    """*
    Response from adding strain map CSV files.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    RETURNCODE_FIELD_NUMBER: builtins.int
    ERRORS_FIELD_NUMBER: builtins.int
    @property
    def returnCode(self) -> ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode:
        """Status code of response."""
        pass
    @property
    def errors(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[typing.Text]:
        """List of validation errors."""
        pass
    def __init__(self,
        *,
        returnCode : typing.Optional[ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode] = ...,
        errors : typing.Optional[typing.Iterable[typing.Text]] = ...,
        ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["returnCode",b"returnCode"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["errors",b"errors","returnCode",b"returnCode"]) -> None: ...
global___AddStrainMapResponse = AddStrainMapResponse

class ListStrainMapsRequest(google.protobuf.message.Message):
    """*
    Request to list CCA strain maps for a project.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    PROJECT_FIELD_NUMBER: builtins.int
    CCA_FIELD_NUMBER: builtins.int
    project: typing.Text = ...
    """Sherlock project name."""

    @property
    def cca(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[typing.Text]:
        """Optional project CCA names to list strain maps for."""
        pass
    def __init__(self,
        *,
        project : typing.Text = ...,
        cca : typing.Optional[typing.Iterable[typing.Text]] = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["cca",b"cca","project",b"project"]) -> None: ...
global___ListStrainMapsRequest = ListStrainMapsRequest

class ListStrainMapsResponse(google.protobuf.message.Message):
    """*
    Lists the strain maps assigned to the project CCA's.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    class CcaStrainMap(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
        CCANAME_FIELD_NUMBER: builtins.int
        STRAINMAPS_FIELD_NUMBER: builtins.int
        ccaName: typing.Text = ...
        """Name of the CCA."""

        @property
        def strainMaps(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[typing.Text]:
            """Strain map names assigned to the CCA."""
            pass
        def __init__(self,
            *,
            ccaName : typing.Text = ...,
            strainMaps : typing.Optional[typing.Iterable[typing.Text]] = ...,
            ) -> None: ...
        def ClearField(self, field_name: typing_extensions.Literal["ccaName",b"ccaName","strainMaps",b"strainMaps"]) -> None: ...

    RETURNCODE_FIELD_NUMBER: builtins.int
    ERRORS_FIELD_NUMBER: builtins.int
    CCASTRAINMAPS_FIELD_NUMBER: builtins.int
    @property
    def returnCode(self) -> ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode:
        """Status code of response."""
        pass
    @property
    def errors(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[typing.Text]:
        """List of errors encountered."""
        pass
    @property
    def ccaStrainMaps(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___ListStrainMapsResponse.CcaStrainMap]:
        """CCA strain maps assigned to the project."""
        pass
    def __init__(self,
        *,
        returnCode : typing.Optional[ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode] = ...,
        errors : typing.Optional[typing.Iterable[typing.Text]] = ...,
        ccaStrainMaps : typing.Optional[typing.Iterable[global___ListStrainMapsResponse.CcaStrainMap]] = ...,
        ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["returnCode",b"returnCode"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["ccaStrainMaps",b"ccaStrainMaps","errors",b"errors","returnCode",b"returnCode"]) -> None: ...
global___ListStrainMapsResponse = ListStrainMapsResponse

class ListCCAsRequest(google.protobuf.message.Message):
    """*
    Request to list CCA's and sub-assembly CCA's for a project.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    PROJECT_FIELD_NUMBER: builtins.int
    CCA_FIELD_NUMBER: builtins.int
    project: typing.Text = ...
    """Sherlock project name."""

    @property
    def cca(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[typing.Text]:
        """Optional project CCA names to return."""
        pass
    def __init__(self,
        *,
        project : typing.Text = ...,
        cca : typing.Optional[typing.Iterable[typing.Text]] = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["cca",b"cca","project",b"project"]) -> None: ...
global___ListCCAsRequest = ListCCAsRequest

class ListCCAsResponse(google.protobuf.message.Message):
    """*
    Represents the circuit cards, their properties, and sub-assemblies for a Sherlock project.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    class CCA(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
        CCANAME_FIELD_NUMBER: builtins.int
        SUBASSEMBLIES_FIELD_NUMBER: builtins.int
        ccaName: typing.Text = ...
        """Name of the CCA."""

        @property
        def subAssemblies(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___ListCCAsResponse.CCA]:
            """Sub-assemblies assigned to the CCA."""
            pass
        def __init__(self,
            *,
            ccaName : typing.Text = ...,
            subAssemblies : typing.Optional[typing.Iterable[global___ListCCAsResponse.CCA]] = ...,
            ) -> None: ...
        def ClearField(self, field_name: typing_extensions.Literal["ccaName",b"ccaName","subAssemblies",b"subAssemblies"]) -> None: ...

    RETURNCODE_FIELD_NUMBER: builtins.int
    CCAS_FIELD_NUMBER: builtins.int
    @property
    def returnCode(self) -> ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode:
        """Status code of response."""
        pass
    @property
    def ccas(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___ListCCAsResponse.CCA]:
        """CCA's assigned to the project."""
        pass
    def __init__(self,
        *,
        returnCode : typing.Optional[ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode] = ...,
        ccas : typing.Optional[typing.Iterable[global___ListCCAsResponse.CCA]] = ...,
        ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["returnCode",b"returnCode"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["ccas",b"ccas","returnCode",b"returnCode"]) -> None: ...
global___ListCCAsResponse = ListCCAsResponse

class AddProjectRequest(google.protobuf.message.Message):
    """*
    Request to add a project to Sherlock.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    PROJECT_FIELD_NUMBER: builtins.int
    CATEGORY_FIELD_NUMBER: builtins.int
    DESCRIPTION_FIELD_NUMBER: builtins.int
    project: typing.Text = ...
    category: typing.Text = ...
    description: typing.Text = ...
    def __init__(self,
        *,
        project : typing.Text = ...,
        category : typing.Text = ...,
        description : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["category",b"category","description",b"description","project",b"project"]) -> None: ...
global___AddProjectRequest = AddProjectRequest

class CCA(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    CCANAME_FIELD_NUMBER: builtins.int
    DESCRIPTION_FIELD_NUMBER: builtins.int
    DEFAULTSOLDERTYPE_FIELD_NUMBER: builtins.int
    DEFAULTSTENCILTHICKNESS_FIELD_NUMBER: builtins.int
    DEFAULTSTENCILTHICKNESSUNITS_FIELD_NUMBER: builtins.int
    DEFAULTPARTTEMPRISE_FIELD_NUMBER: builtins.int
    DEFAULTPARTTEMPRISEUNITS_FIELD_NUMBER: builtins.int
    GUESSPARTPROPERTIESENABLED_FIELD_NUMBER: builtins.int
    ccaName: typing.Text = ...
    """Name of the circuit card."""

    description: typing.Text = ...
    """Description of the circuit card."""

    defaultSolderType: typing.Text = ...
    """Default solder type."""

    defaultStencilThickness: builtins.float = ...
    """Default stencil thickness."""

    defaultStencilThicknessUnits: typing.Text = ...
    """Default stencil thickness units."""

    defaultPartTempRise: builtins.float = ...
    """Default part temp rise."""

    defaultPartTempRiseUnits: typing.Text = ...
    """Default part temp rise units."""

    guessPartPropertiesEnabled: builtins.bool = ...
    """Whether to enable guess part properties."""

    def __init__(self,
        *,
        ccaName : typing.Text = ...,
        description : typing.Optional[typing.Text] = ...,
        defaultSolderType : typing.Optional[typing.Text] = ...,
        defaultStencilThickness : typing.Optional[builtins.float] = ...,
        defaultStencilThicknessUnits : typing.Optional[typing.Text] = ...,
        defaultPartTempRise : typing.Optional[builtins.float] = ...,
        defaultPartTempRiseUnits : typing.Optional[typing.Text] = ...,
        guessPartPropertiesEnabled : typing.Optional[builtins.bool] = ...,
        ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["_defaultPartTempRise",b"_defaultPartTempRise","_defaultPartTempRiseUnits",b"_defaultPartTempRiseUnits","_defaultSolderType",b"_defaultSolderType","_defaultStencilThickness",b"_defaultStencilThickness","_defaultStencilThicknessUnits",b"_defaultStencilThicknessUnits","_description",b"_description","_guessPartPropertiesEnabled",b"_guessPartPropertiesEnabled","defaultPartTempRise",b"defaultPartTempRise","defaultPartTempRiseUnits",b"defaultPartTempRiseUnits","defaultSolderType",b"defaultSolderType","defaultStencilThickness",b"defaultStencilThickness","defaultStencilThicknessUnits",b"defaultStencilThicknessUnits","description",b"description","guessPartPropertiesEnabled",b"guessPartPropertiesEnabled"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["_defaultPartTempRise",b"_defaultPartTempRise","_defaultPartTempRiseUnits",b"_defaultPartTempRiseUnits","_defaultSolderType",b"_defaultSolderType","_defaultStencilThickness",b"_defaultStencilThickness","_defaultStencilThicknessUnits",b"_defaultStencilThicknessUnits","_description",b"_description","_guessPartPropertiesEnabled",b"_guessPartPropertiesEnabled","ccaName",b"ccaName","defaultPartTempRise",b"defaultPartTempRise","defaultPartTempRiseUnits",b"defaultPartTempRiseUnits","defaultSolderType",b"defaultSolderType","defaultStencilThickness",b"defaultStencilThickness","defaultStencilThicknessUnits",b"defaultStencilThicknessUnits","description",b"description","guessPartPropertiesEnabled",b"guessPartPropertiesEnabled"]) -> None: ...
    @typing.overload
    def WhichOneof(self, oneof_group: typing_extensions.Literal["_defaultPartTempRise",b"_defaultPartTempRise"]) -> typing.Optional[typing_extensions.Literal["defaultPartTempRise"]]: ...
    @typing.overload
    def WhichOneof(self, oneof_group: typing_extensions.Literal["_defaultPartTempRiseUnits",b"_defaultPartTempRiseUnits"]) -> typing.Optional[typing_extensions.Literal["defaultPartTempRiseUnits"]]: ...
    @typing.overload
    def WhichOneof(self, oneof_group: typing_extensions.Literal["_defaultSolderType",b"_defaultSolderType"]) -> typing.Optional[typing_extensions.Literal["defaultSolderType"]]: ...
    @typing.overload
    def WhichOneof(self, oneof_group: typing_extensions.Literal["_defaultStencilThickness",b"_defaultStencilThickness"]) -> typing.Optional[typing_extensions.Literal["defaultStencilThickness"]]: ...
    @typing.overload
    def WhichOneof(self, oneof_group: typing_extensions.Literal["_defaultStencilThicknessUnits",b"_defaultStencilThicknessUnits"]) -> typing.Optional[typing_extensions.Literal["defaultStencilThicknessUnits"]]: ...
    @typing.overload
    def WhichOneof(self, oneof_group: typing_extensions.Literal["_description",b"_description"]) -> typing.Optional[typing_extensions.Literal["description"]]: ...
    @typing.overload
    def WhichOneof(self, oneof_group: typing_extensions.Literal["_guessPartPropertiesEnabled",b"_guessPartPropertiesEnabled"]) -> typing.Optional[typing_extensions.Literal["guessPartPropertiesEnabled"]]: ...
global___CCA = CCA

class AddCcaRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    PROJECT_FIELD_NUMBER: builtins.int
    CCAS_FIELD_NUMBER: builtins.int
    project: typing.Text = ...
    """Name of the project."""

    @property
    def CCAs(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___CCA]:
        """CCAs to add."""
        pass
    def __init__(self,
        *,
        project : typing.Text = ...,
        CCAs : typing.Optional[typing.Iterable[global___CCA]] = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["CCAs",b"CCAs","project",b"project"]) -> None: ...
global___AddCcaRequest = AddCcaRequest

class ListThermalMapsRequest(google.protobuf.message.Message):
    """*
    Request to list Thermal map files and their types for a project.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    PROJECT_FIELD_NUMBER: builtins.int
    CCA_FIELD_NUMBER: builtins.int
    project: typing.Text = ...
    """Sherlock project name."""

    @property
    def cca(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[typing.Text]:
        """Optional project CCA names to list thermal maps for."""
        pass
    def __init__(self,
        *,
        project : typing.Text = ...,
        cca : typing.Optional[typing.Iterable[typing.Text]] = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["cca",b"cca","project",b"project"]) -> None: ...
global___ListThermalMapsRequest = ListThermalMapsRequest

class ListThermalMapsResponse(google.protobuf.message.Message):
    """*
    Represents the thermal map files and their types for a Sherlock project.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    class CcaThermalMap(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
        class ThermalMap(google.protobuf.message.Message):
            DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
            FILENAME_FIELD_NUMBER: builtins.int
            FILETYPE_FIELD_NUMBER: builtins.int
            fileName: typing.Text = ...
            """Name of the Thermal Map file."""

            fileType: typing.Text = ...
            """Thermal map file type. Possible values are: "Icepak Thermal Map (TMAP)", "Thermal Map (CSV)", "Thermal Map (Excel)", "Thermal Map (Image)"."""

            def __init__(self,
                *,
                fileName : typing.Text = ...,
                fileType : typing.Text = ...,
                ) -> None: ...
            def ClearField(self, field_name: typing_extensions.Literal["fileName",b"fileName","fileType",b"fileType"]) -> None: ...

        CCANAME_FIELD_NUMBER: builtins.int
        THERMALMAPS_FIELD_NUMBER: builtins.int
        ccaName: typing.Text = ...
        """Project CCA name."""

        @property
        def thermalMaps(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___ListThermalMapsResponse.CcaThermalMap.ThermalMap]:
            """Thermal map files assigned to the CCA."""
            pass
        def __init__(self,
            *,
            ccaName : typing.Text = ...,
            thermalMaps : typing.Optional[typing.Iterable[global___ListThermalMapsResponse.CcaThermalMap.ThermalMap]] = ...,
            ) -> None: ...
        def ClearField(self, field_name: typing_extensions.Literal["ccaName",b"ccaName","thermalMaps",b"thermalMaps"]) -> None: ...

    RETURNCODE_FIELD_NUMBER: builtins.int
    ERRORS_FIELD_NUMBER: builtins.int
    CCATHERMALMAPS_FIELD_NUMBER: builtins.int
    @property
    def returnCode(self) -> ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode:
        """Status code of response."""
        pass
    @property
    def errors(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[typing.Text]:
        """List of errors encountered."""
        pass
    @property
    def ccaThermalMaps(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___ListThermalMapsResponse.CcaThermalMap]:
        """CCA thermal map files assigned to the project."""
        pass
    def __init__(self,
        *,
        returnCode : typing.Optional[ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode] = ...,
        errors : typing.Optional[typing.Iterable[typing.Text]] = ...,
        ccaThermalMaps : typing.Optional[typing.Iterable[global___ListThermalMapsResponse.CcaThermalMap]] = ...,
        ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["returnCode",b"returnCode"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["ccaThermalMaps",b"ccaThermalMaps","errors",b"errors","returnCode",b"returnCode"]) -> None: ...
global___ListThermalMapsResponse = ListThermalMapsResponse

class UpdateThermalMapRequest(google.protobuf.message.Message):
    """*
    Request to update thermal map files to a Sherlock project.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    PROJECT_FIELD_NUMBER: builtins.int
    THERMALMAPFILES_FIELD_NUMBER: builtins.int
    project: typing.Text = ...
    """Sherlock project name."""

    @property
    def thermalMapFiles(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___ThermalMapFile]:
        """Thermal Map files."""
        pass
    def __init__(self,
        *,
        project : typing.Text = ...,
        thermalMapFiles : typing.Optional[typing.Iterable[global___ThermalMapFile]] = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["project",b"project","thermalMapFiles",b"thermalMapFiles"]) -> None: ...
global___UpdateThermalMapRequest = UpdateThermalMapRequest

class ThermalMapFile(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    class _FileType:
        ValueType = typing.NewType('ValueType', builtins.int)
        V: typing_extensions.TypeAlias = ValueType
    class _FileTypeEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[_FileType.ValueType], builtins.type):
        DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor = ...
        CSV: ThermalMapFile.FileType.ValueType = ...  # 0
        """Csv file."""

        Excel: ThermalMapFile.FileType.ValueType = ...  # 1
        """Excel file."""

        Image: ThermalMapFile.FileType.ValueType = ...  # 2
        """Image file."""

        TMAP: ThermalMapFile.FileType.ValueType = ...  # 3
        """Icepack file."""

    class FileType(_FileType, metaclass=_FileTypeEnumTypeWrapper):
        pass

    CSV: ThermalMapFile.FileType.ValueType = ...  # 0
    """Csv file."""

    Excel: ThermalMapFile.FileType.ValueType = ...  # 1
    """Excel file."""

    Image: ThermalMapFile.FileType.ValueType = ...  # 2
    """Image file."""

    TMAP: ThermalMapFile.FileType.ValueType = ...  # 3
    """Icepack file."""


    class _ThermalBoardSide:
        ValueType = typing.NewType('ValueType', builtins.int)
        V: typing_extensions.TypeAlias = ValueType
    class _ThermalBoardSideEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[_ThermalBoardSide.ValueType], builtins.type):
        DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor = ...
        Bottom: ThermalMapFile.ThermalBoardSide.ValueType = ...  # 0
        """Bottom side of the board."""

        Both: ThermalMapFile.ThermalBoardSide.ValueType = ...  # 1
        """Both sides of the board."""

        Top: ThermalMapFile.ThermalBoardSide.ValueType = ...  # 2
        """Top side of the board."""

    class ThermalBoardSide(_ThermalBoardSide, metaclass=_ThermalBoardSideEnumTypeWrapper):
        pass

    Bottom: ThermalMapFile.ThermalBoardSide.ValueType = ...  # 0
    """Bottom side of the board."""

    Both: ThermalMapFile.ThermalBoardSide.ValueType = ...  # 1
    """Both sides of the board."""

    Top: ThermalMapFile.ThermalBoardSide.ValueType = ...  # 2
    """Top side of the board."""


    class ImageFile(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
        class _LegendOrientation:
            ValueType = typing.NewType('ValueType', builtins.int)
            V: typing_extensions.TypeAlias = ValueType
        class _LegendOrientationEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[_LegendOrientation.ValueType], builtins.type):
            DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor = ...
            Horizontal: ThermalMapFile.ImageFile.LegendOrientation.ValueType = ...  # 0
            """Horizontal legend orientation."""

            Vertical: ThermalMapFile.ImageFile.LegendOrientation.ValueType = ...  # 1
            """Vertical legend orientation."""

        class LegendOrientation(_LegendOrientation, metaclass=_LegendOrientationEnumTypeWrapper):
            pass

        Horizontal: ThermalMapFile.ImageFile.LegendOrientation.ValueType = ...  # 0
        """Horizontal legend orientation."""

        Vertical: ThermalMapFile.ImageFile.LegendOrientation.ValueType = ...  # 1
        """Vertical legend orientation."""


        class NodeCoordinate(google.protobuf.message.Message):
            DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
            VERTEXX_FIELD_NUMBER: builtins.int
            VERTEXY_FIELD_NUMBER: builtins.int
            vertexX: builtins.float = ...
            """X-coordinate of the node."""

            vertexY: builtins.float = ...
            """Y-coordinate of the node."""

            def __init__(self,
                *,
                vertexX : builtins.float = ...,
                vertexY : builtins.float = ...,
                ) -> None: ...
            def ClearField(self, field_name: typing_extensions.Literal["vertexX",b"vertexX","vertexY",b"vertexY"]) -> None: ...

        class ImageCoordinate(google.protobuf.message.Message):
            DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
            IMAGEX_FIELD_NUMBER: builtins.int
            IMAGEY_FIELD_NUMBER: builtins.int
            IMAGEH_FIELD_NUMBER: builtins.int
            IMAGEW_FIELD_NUMBER: builtins.int
            imageX: builtins.float = ...
            """X-coordinate of the upper left corner."""

            imageY: builtins.float = ...
            """Y-coordinate of the upper left corner."""

            imageH: builtins.float = ...
            """Height of the image."""

            imageW: builtins.float = ...
            """Width of the image."""

            def __init__(self,
                *,
                imageX : builtins.float = ...,
                imageY : builtins.float = ...,
                imageH : builtins.float = ...,
                imageW : builtins.float = ...,
                ) -> None: ...
            def ClearField(self, field_name: typing_extensions.Literal["imageH",b"imageH","imageW",b"imageW","imageX",b"imageX","imageY",b"imageY"]) -> None: ...

        class LegendCoordinate(google.protobuf.message.Message):
            DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
            LEGENDX_FIELD_NUMBER: builtins.int
            LEGENDY_FIELD_NUMBER: builtins.int
            LEGENDH_FIELD_NUMBER: builtins.int
            LEGENDW_FIELD_NUMBER: builtins.int
            legendX: builtins.float = ...
            """X-coordinate of the upper left corner."""

            legendY: builtins.float = ...
            """Y-coordinate of the upper left corner."""

            legendH: builtins.float = ...
            """Height of the legend."""

            legendW: builtins.float = ...
            """Width of the legend."""

            def __init__(self,
                *,
                legendX : builtins.float = ...,
                legendY : builtins.float = ...,
                legendH : builtins.float = ...,
                legendW : builtins.float = ...,
                ) -> None: ...
            def ClearField(self, field_name: typing_extensions.Literal["legendH",b"legendH","legendW",b"legendW","legendX",b"legendX","legendY",b"legendY"]) -> None: ...

        COORDINATEUNITS_FIELD_NUMBER: builtins.int
        BOARDBOUNDS_FIELD_NUMBER: builtins.int
        IMAGEBOUNDS_FIELD_NUMBER: builtins.int
        LEGENDBOUNDS_FIELD_NUMBER: builtins.int
        LEGENDORIENTATION_FIELD_NUMBER: builtins.int
        MINTEMPERATURE_FIELD_NUMBER: builtins.int
        MINTEMPERATUREUNITS_FIELD_NUMBER: builtins.int
        MAXTEMPERATURE_FIELD_NUMBER: builtins.int
        MAXTEMPERATUREUNITS_FIELD_NUMBER: builtins.int
        coordinateUnits: typing.Text = ...
        """Coordinate units used for board, lengend and image boundaries."""

        @property
        def boardBounds(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___ThermalMapFile.ImageFile.NodeCoordinate]:
            """Coordinates of the nodes which make up the board outline."""
            pass
        @property
        def imageBounds(self) -> global___ThermalMapFile.ImageFile.ImageCoordinate:
            """Coordinates of the board bounds within the image."""
            pass
        @property
        def legendBounds(self) -> global___ThermalMapFile.ImageFile.LegendCoordinate:
            """Coordinates of the bounds of legend within the image."""
            pass
        legendOrientation: global___ThermalMapFile.ImageFile.LegendOrientation.ValueType = ...
        """Specify the legend orientation."""

        minTemperature: builtins.float = ...
        """Minimum temperature value."""

        minTemperatureUnits: typing.Text = ...
        """Units for minimum temperature value."""

        maxTemperature: builtins.float = ...
        """Maximum temperature value."""

        maxTemperatureUnits: typing.Text = ...
        """Units for maximum temperature value."""

        def __init__(self,
            *,
            coordinateUnits : typing.Text = ...,
            boardBounds : typing.Optional[typing.Iterable[global___ThermalMapFile.ImageFile.NodeCoordinate]] = ...,
            imageBounds : typing.Optional[global___ThermalMapFile.ImageFile.ImageCoordinate] = ...,
            legendBounds : typing.Optional[global___ThermalMapFile.ImageFile.LegendCoordinate] = ...,
            legendOrientation : global___ThermalMapFile.ImageFile.LegendOrientation.ValueType = ...,
            minTemperature : builtins.float = ...,
            minTemperatureUnits : typing.Text = ...,
            maxTemperature : builtins.float = ...,
            maxTemperatureUnits : typing.Text = ...,
            ) -> None: ...
        def HasField(self, field_name: typing_extensions.Literal["imageBounds",b"imageBounds","legendBounds",b"legendBounds"]) -> builtins.bool: ...
        def ClearField(self, field_name: typing_extensions.Literal["boardBounds",b"boardBounds","coordinateUnits",b"coordinateUnits","imageBounds",b"imageBounds","legendBounds",b"legendBounds","legendOrientation",b"legendOrientation","maxTemperature",b"maxTemperature","maxTemperatureUnits",b"maxTemperatureUnits","minTemperature",b"minTemperature","minTemperatureUnits",b"minTemperatureUnits"]) -> None: ...

    class CsvExcelFile(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
        HEADERROWCOUNT_FIELD_NUMBER: builtins.int
        REFERENCEIDCOLUMN_FIELD_NUMBER: builtins.int
        TEMPERATURECOLUMN_FIELD_NUMBER: builtins.int
        TEMPERATUREUNITS_FIELD_NUMBER: builtins.int
        NUMERICFORMAT_FIELD_NUMBER: builtins.int
        headerRowCount: builtins.int = ...
        """Number of rows before the column header in the file."""

        referenceIDColumn: typing.Text = ...
        """Reference ID column."""

        temperatureColumn: typing.Text = ...
        """Temperature column."""

        temperatureUnits: typing.Text = ...
        """Units for temperature values."""

        numericFormat: typing.Text = ...
        """Numeric format for values."""

        def __init__(self,
            *,
            headerRowCount : builtins.int = ...,
            referenceIDColumn : typing.Text = ...,
            temperatureColumn : typing.Text = ...,
            temperatureUnits : typing.Text = ...,
            numericFormat : typing.Text = ...,
            ) -> None: ...
        def ClearField(self, field_name: typing_extensions.Literal["headerRowCount",b"headerRowCount","numericFormat",b"numericFormat","referenceIDColumn",b"referenceIDColumn","temperatureColumn",b"temperatureColumn","temperatureUnits",b"temperatureUnits"]) -> None: ...

    FILENAME_FIELD_NUMBER: builtins.int
    FILETYPE_FIELD_NUMBER: builtins.int
    FILECOMMENT_FIELD_NUMBER: builtins.int
    THERMALBOARDSIDE_FIELD_NUMBER: builtins.int
    CSVEXCELFILE_FIELD_NUMBER: builtins.int
    IMAGEFILE_FIELD_NUMBER: builtins.int
    THERMALPROFILES_FIELD_NUMBER: builtins.int
    CCA_FIELD_NUMBER: builtins.int
    fileName: typing.Text = ...
    """The name of the thermal file to update."""

    fileType: global___ThermalMapFile.FileType.ValueType = ...
    """Thermal file type."""

    fileComment: typing.Text = ...
    """Include a comment or description for the file."""

    thermalBoardSide: global___ThermalMapFile.ThermalBoardSide.ValueType = ...
    """Thermal board side."""

    @property
    def csvExcelFile(self) -> global___ThermalMapFile.CsvExcelFile:
        """Used to CSV and Excel files."""
        pass
    @property
    def imageFile(self) -> global___ThermalMapFile.ImageFile:
        """Used to add properties to Image files."""
        pass
    @property
    def thermalProfiles(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[typing.Text]:
        """List of thermal profiles."""
        pass
    @property
    def cca(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[typing.Text]:
        """Project CCA Name."""
        pass
    def __init__(self,
        *,
        fileName : typing.Text = ...,
        fileType : global___ThermalMapFile.FileType.ValueType = ...,
        fileComment : typing.Text = ...,
        thermalBoardSide : global___ThermalMapFile.ThermalBoardSide.ValueType = ...,
        csvExcelFile : typing.Optional[global___ThermalMapFile.CsvExcelFile] = ...,
        imageFile : typing.Optional[global___ThermalMapFile.ImageFile] = ...,
        thermalProfiles : typing.Optional[typing.Iterable[typing.Text]] = ...,
        cca : typing.Optional[typing.Iterable[typing.Text]] = ...,
        ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["csvExcelFile",b"csvExcelFile","fileData",b"fileData","imageFile",b"imageFile"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["cca",b"cca","csvExcelFile",b"csvExcelFile","fileComment",b"fileComment","fileData",b"fileData","fileName",b"fileName","fileType",b"fileType","imageFile",b"imageFile","thermalBoardSide",b"thermalBoardSide","thermalProfiles",b"thermalProfiles"]) -> None: ...
    def WhichOneof(self, oneof_group: typing_extensions.Literal["fileData",b"fileData"]) -> typing.Optional[typing_extensions.Literal["csvExcelFile","imageFile"]]: ...
global___ThermalMapFile = ThermalMapFile

class UpdateThermalMapsResponse(google.protobuf.message.Message):
    """*
    Response from updating thermal map files.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    RETURNCODE_FIELD_NUMBER: builtins.int
    ERRORS_FIELD_NUMBER: builtins.int
    @property
    def returnCode(self) -> ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode:
        """Status code of response."""
        pass
    @property
    def errors(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[typing.Text]:
        """List of validation errors."""
        pass
    def __init__(self,
        *,
        returnCode : typing.Optional[ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode] = ...,
        errors : typing.Optional[typing.Iterable[typing.Text]] = ...,
        ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["returnCode",b"returnCode"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["errors",b"errors","returnCode",b"returnCode"]) -> None: ...
global___UpdateThermalMapsResponse = UpdateThermalMapsResponse

class AddThermalMapRequest(google.protobuf.message.Message):
    """*
    Request to add thermal map files to a Sherlock project.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    class AddThermalMap(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
        THERMALMAPFILE_FIELD_NUMBER: builtins.int
        THERMALMAPFILEPROPERTIES_FIELD_NUMBER: builtins.int
        thermalMapFile: typing.Text = ...
        """Full path to the thermal map file to be added."""

        @property
        def thermalMapFileProperties(self) -> global___ThermalMapFile:
            """Thermal map file properties."""
            pass
        def __init__(self,
            *,
            thermalMapFile : typing.Text = ...,
            thermalMapFileProperties : typing.Optional[global___ThermalMapFile] = ...,
            ) -> None: ...
        def HasField(self, field_name: typing_extensions.Literal["thermalMapFileProperties",b"thermalMapFileProperties"]) -> builtins.bool: ...
        def ClearField(self, field_name: typing_extensions.Literal["thermalMapFile",b"thermalMapFile","thermalMapFileProperties",b"thermalMapFileProperties"]) -> None: ...

    PROJECT_FIELD_NUMBER: builtins.int
    THERMALMAPFILES_FIELD_NUMBER: builtins.int
    project: typing.Text = ...
    """Sherlock project name."""

    @property
    def thermalMapFiles(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___AddThermalMapRequest.AddThermalMap]:
        """Thermal map files and associated properties to be added."""
        pass
    def __init__(self,
        *,
        project : typing.Text = ...,
        thermalMapFiles : typing.Optional[typing.Iterable[global___AddThermalMapRequest.AddThermalMap]] = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["project",b"project","thermalMapFiles",b"thermalMapFiles"]) -> None: ...
global___AddThermalMapRequest = AddThermalMapRequest

class AddThermalMapResponse(google.protobuf.message.Message):
    """*
    Response from adding thermal map files.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    RETURNCODE_FIELD_NUMBER: builtins.int
    ERRORS_FIELD_NUMBER: builtins.int
    @property
    def returnCode(self) -> ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode:
        """Status code of response."""
        pass
    @property
    def errors(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[typing.Text]:
        """List of validation errors."""
        pass
    def __init__(self,
        *,
        returnCode : typing.Optional[ansys.api.sherlock.v0.SherlockCommonService_pb2.ReturnCode] = ...,
        errors : typing.Optional[typing.Iterable[typing.Text]] = ...,
        ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["returnCode",b"returnCode"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["errors",b"errors","returnCode",b"returnCode"]) -> None: ...
global___AddThermalMapResponse = AddThermalMapResponse

class ImportProjectZipRequest(google.protobuf.message.Message):
    """*
    Request for importing a .zip project archive when Sherlock is in multiple project mode.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    PROJECT_FIELD_NUMBER: builtins.int
    CATEGORY_FIELD_NUMBER: builtins.int
    ARCHIVEFILE_FIELD_NUMBER: builtins.int
    project: typing.Text = ...
    """Sherlock project name."""

    category: typing.Text = ...
    """Sherlock project category."""

    archiveFile: typing.Text = ...
    """Full path to the .zip archive file containing the project data."""

    def __init__(self,
        *,
        project : typing.Text = ...,
        category : typing.Text = ...,
        archiveFile : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["archiveFile",b"archiveFile","category",b"category","project",b"project"]) -> None: ...
global___ImportProjectZipRequest = ImportProjectZipRequest

class ImportProjectZipSingleModeRequest(google.protobuf.message.Message):
    """*
    Request for importing a .zip project archive when Sherlock is in single project mode.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    PROJZIPREQUEST_FIELD_NUMBER: builtins.int
    DESTFILEDIR_FIELD_NUMBER: builtins.int
    @property
    def projZipRequest(self) -> global___ImportProjectZipRequest:
        """Encapsulates project name, category and full path to project .zip archive."""
        pass
    destFileDir: typing.Text = ...
    """Directory in which the Sherlock project folder will be created."""

    def __init__(self,
        *,
        projZipRequest : typing.Optional[global___ImportProjectZipRequest] = ...,
        destFileDir : typing.Text = ...,
        ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["projZipRequest",b"projZipRequest"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["destFileDir",b"destFileDir","projZipRequest",b"projZipRequest"]) -> None: ...
global___ImportProjectZipSingleModeRequest = ImportProjectZipSingleModeRequest
